diff options
author | Andreas Schneider <asn@samba.org> | 2018-05-07 13:23:42 +0200 |
---|---|---|
committer | Andreas Schneider <asn@cryptomilk.org> | 2018-05-11 09:07:36 +0200 |
commit | 4fa811ec7bc301e96f5e40ba281e8d4e8709b94f (patch) | |
tree | 7458086d96d58ae98a0183605f0e6679b634f138 /nsswitch | |
parent | 0aceca6a94e868f9c01a66f79624ca10d80560ab (diff) | |
download | samba-4fa811ec7bc301e96f5e40ba281e8d4e8709b94f.tar.gz |
nsswitch: Lookup the domain in tests with the wb seperator
Signed-off-by: Andreas Schneider <asn@samba.org>
Reviewed-by: Stefan Metzmacher <metze@samba.org>
Diffstat (limited to 'nsswitch')
-rwxr-xr-x | nsswitch/tests/test_idmap_ad.sh | 2 | ||||
-rwxr-xr-x | nsswitch/tests/test_idmap_nss.sh | 4 | ||||
-rwxr-xr-x | nsswitch/tests/test_idmap_rid.sh | 2 |
3 files changed, 4 insertions, 4 deletions
diff --git a/nsswitch/tests/test_idmap_ad.sh b/nsswitch/tests/test_idmap_ad.sh index 2f4ee3293b2..7450ae06059 100755 --- a/nsswitch/tests/test_idmap_ad.sh +++ b/nsswitch/tests/test_idmap_ad.sh @@ -20,7 +20,7 @@ failed=0 . `dirname $0`/../../testprogs/blackbox/subunit.sh -DOMAIN_SID=$($wbinfo -n "@$DOMAIN" | cut -f 1 -d " ") +DOMAIN_SID=$($wbinfo -n "$DOMAIN/" | cut -f 1 -d " ") if [ $? -ne 0 ] ; then echo "Could not find domain SID" | subunit_fail_test "test_idmap_ad" exit 1 diff --git a/nsswitch/tests/test_idmap_nss.sh b/nsswitch/tests/test_idmap_nss.sh index 5072a0df72c..1bbc177774d 100755 --- a/nsswitch/tests/test_idmap_nss.sh +++ b/nsswitch/tests/test_idmap_nss.sh @@ -13,8 +13,8 @@ failed=0 . `dirname $0`/../../testprogs/blackbox/subunit.sh -testit "wbinfo returns domain SID" $wbinfo -n "@$DOMAIN" || exit 1 -DOMAIN_SID=$($wbinfo -n "@$DOMAIN" | cut -f 1 -d " ") +testit "wbinfo returns domain SID" $wbinfo -n "$DOMAIN/" || exit 1 +DOMAIN_SID=$($wbinfo -n "$DOMAIN/" | cut -f 1 -d " ") echo "Domain $DOMAIN has SID $DOMAIN_SID" # Find an unused uid and SID diff --git a/nsswitch/tests/test_idmap_rid.sh b/nsswitch/tests/test_idmap_rid.sh index 7fb59852cf5..8209a50a4fc 100755 --- a/nsswitch/tests/test_idmap_rid.sh +++ b/nsswitch/tests/test_idmap_rid.sh @@ -16,7 +16,7 @@ failed=0 . `dirname $0`/../../testprogs/blackbox/subunit.sh -DOMAIN_SID=$($wbinfo -n "@$DOMAIN" | cut -f 1 -d " ") +DOMAIN_SID=$($wbinfo -n "$DOMAIN/" | cut -f 1 -d " ") if [ $? -ne 0 ] ; then echo "Could not find domain SID" | subunit_fail_test "test_idmap_rid" exit 1 |